﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kooboo.HtmlFunc;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.CMS.SiteConverter.Parser.WebForm
{
    public class ViewPartParser : ParserBase, IParser<IViewPart>
    {
        #region IParser<IViewPart> Members

        public void Parse(IViewPart obj)
        {
            //declare
            var declare = "<%@ Control Language=\"C#\" Inherits=\"System.Web.Mvc.ViewUserControl<dynamic>\" %>" + Environment.NewLine;
            obj.StartNode.ParentNode.InsertAfter(NodeExtension.CreateNode(declare), obj.StartNode);

            Razor.ViewPartParser.FillResult(this.Context, obj, this.EngineName);
        }

        #endregion
    }
}
