﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;
using Kooboo.HtmlFunc.Function;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.HtmlFunc.Analysis.Visitors
{
    public class BodyTagVisitor : VisitorBase
    {
        public BodyTagVisitor(VisitorContext context)
            : base(context)
        {
        }

        private bool setted = false;
        public override void VisitNode(HtmlNode node)
        {
            if (setted)
            {
                return;
            }

            if (node.Is("BODY"))
            {
                setted = true;

                var bodyTag = Provider.Factory.GetProvider<IBodyTag>();
                bodyTag.Node = node;
                this.Context.Result.BodyTag = bodyTag;
            }
        }
    }
}
