﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;
using Kooboo.HtmlFunc.Function;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.HtmlFunc.Analysis.Visitors
{
    public class ScriptTagVisitor : VisitorBase
    {
        public ScriptTagVisitor(VisitorContext context)
            : base(context)
        {
        }

        public override void VisitNode(HtmlNode node)
        {
            if (node.Is("SCRIPT"))
            {
                var scriptTag = Provider.Factory.GetProvider<IScriptTag>();
                scriptTag.Node = node;
                this.Context.Result.ScriptTags.Add(scriptTag);
            }
        }
    }
}
