﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kooboo.HtmlFunc
{
    public class AnalysisKit
    {
        public static IEnumerable<Kooboo.HtmlFunc.Providers.IAnalyseResult> AnalysePage(
            string fileName, string pageHtml, bool exceptions = false)
        {
            var analyzer = new Kooboo.HtmlFunc.Analysis.Analyzer(fileName, pageHtml);
            analyzer.ThrowException = (exceptions || AnalysisSetting.ThrowAnalysisExceptions);
            var analyseResults = analyzer.Analyse();
            return analyseResults;
        }
    }
}
