﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kooboo.HtmlFunc.Exceptions
{
    public class BaseException : Exception
    {
        public BaseException()
            : base()
        {
        }

        public BaseException(string message)
            : base(message)
        {
        }

        public BaseException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        public override string HelpLink
        {
            get
            {
                if (string.IsNullOrEmpty(base.HelpLink))
                    return "http://www.kooboo.com/";
                return base.HelpLink;
            }
            set
            {
                base.HelpLink = value;
            }
        }
    }
}
