﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;

namespace Kooboo.HtmlFunc.Exceptions
{
    public class ControlNotSupportException : FuncCommentNodeException
    {
        public ControlNotSupportException(string fileName, HtmlCommentNode startNode, string controlType)
            : base(fileName, startNode)
        {
            this.ControlType = controlType;
        }

        public string ControlType
        {
            get;
            private set;
        }

        public override string ExceptionDescription
        {
            get
            {
                return string.Format("Control type:{0} is not support.", this.ControlType);
            }
        }
    }
}
