﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kooboo.HtmlFunc.Function;

namespace Kooboo.HtmlFunc.Exceptions
{
    public class FuncNotSupportException : BaseException
    {
        public const string MessageFormat = "{0} \"{1}\" is not support.";

        public FuncNotSupportException(FuncType type)
            : base(string.Format(MessageFormat, type.GetType().Name, type.ToString()))
        {
        }
    }
}
