﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.HtmlFunc.Function
{
    [Serializable]
    [XmlRoot("FuncSetting")]
    public class FuncSetting : List<FuncEntity>
    {
    }

    [Serializable]
    [XmlType("Func")]
    public class FuncEntity : IFuncEntity
    {
        [XmlAttribute("Type")]
        public FuncType FuncType
        {
            get;
            set;
        }

        #region IFuncEntity Members

        [XmlElementAttribute(Order = 0)]
        public string StartComment
        {
            get;
            set;
        }

        [XmlElementAttribute(Order = 1)]
        public string EndComment
        {
            get;
            set;
        }

        #endregion
    }
}
