﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.HtmlFunc.Models
{
    public class Detail : IDetail
    {
        public Detail()
        {
            this.DataItems = new List<IDataItem>();
        }

        #region IDetail Members

        public string FolderName
        {
            get;
            set;
        }

        public IList<IDataItem> DataItems
        {
            get;
            set;
        }

        #endregion

        #region IViewPart Members

        public string ViewName
        {
            get;
            set;
        }

        #endregion

        #region IPart Members

        public int? Order
        {
            get;
            set;
        }

        public IPosition OwnerPosition
        {
            get;
            set;
        }

        #endregion

        #region IFuncMarker Members

        public HtmlNode StartNode
        {
            get;
            set;
        }

        public HtmlNode EndNode
        {
            get;
            set;
        }

        #endregion
    }
}
