﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.HtmlFunc.Models
{
    public class PageSetting : IPageSetting
    {
        #region IPageSetting Members

        public string Name
        {
            get;
            set;
        }

        public string Title
        {
            get;
            set;
        }

        public string Layout
        {
            get;
            set;
        }

        public string Parent
        {
            get;
            set;
        }

        public bool? HomePage
        {
            get;
            set;
        }

        public bool? ShowMenu
        {
            get;
            set;
        }

        public int? MenuIndex
        {
            get;
            set;
        }

        public HtmlNode TitleFuncNode
        {
            get;
            set;
        }

        public HtmlNode LayoutFuncNode
        {
            get;
            set;
        }

        public HtmlNode ParentFuncNode
        {
            get;
            set;
        }

        public HtmlNode HomePageFuncNode
        {
            get;
            set;
        }

        public HtmlNode ShowMenuFuncNode
        {
            get;
            set;
        }

        public HtmlNode MenuIndexFuncNode
        {
            get;
            set;
        }

        #endregion
    }
}
