﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;

namespace Kooboo.HtmlFunc.Providers
{
    public interface IPageSetting
    {
        string Name { get; set; }

        string Title { get; set; }

        string Layout { get; set; }

        string Parent { get; set; }

        bool? HomePage { get; set; }

        bool? ShowMenu { get; set; }

        int? MenuIndex { get; set; }

        HtmlNode TitleFuncNode { get; set; }

        HtmlNode LayoutFuncNode { get; set; }

        HtmlNode ParentFuncNode { get; set; }

        HtmlNode HomePageFuncNode { get; set; }

        HtmlNode ShowMenuFuncNode { get; set; }

        HtmlNode MenuIndexFuncNode { get; set; }
    }
}
