﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kooboo.CMS.SiteConverter.Providers;

namespace Kooboo.CMS.SiteConverter.Models
{
    public class ParseResult : IParseResult
    {
        public ParseResult()
        {
            this.Layout = new CmsLayout();
            this.Page = new CmsPage();
            this.Views = new List<Kooboo.CMS.Sites.Models.View>();
            this.HtmlBlocks = new List<Kooboo.CMS.Sites.Models.HtmlBlock>();
            //this.Schemas = new List<Kooboo.CMS.Content.Models.Schema>();
            this.OrderedScripts = new List<string>();
            this.OrderedStyles = new List<string>();
        }

        #region IParseResult Members

        public Kooboo.CMS.Sites.Models.Layout Layout
        {
            get;
            set;
        }

        public Kooboo.CMS.Sites.Models.Page Page
        {
            get;
            set;
        }

        public IList<Kooboo.CMS.Sites.Models.View> Views
        {
            get;
            set;
        }

        public IList<Sites.Models.HtmlBlock> HtmlBlocks
        {
            get;
            set;
        }

        //public IList<Kooboo.CMS.Content.Models.Schema> Schemas
        //{
        //    get;
        //    set;
        //}

        public IList<string> OrderedScripts
        {
            get;
            set;
        }

        public IList<string> OrderedStyles
        {
            get;
            set;
        }

        #endregion
    }
}
