﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kooboo.HtmlFunc;
using Kooboo.CMS.SiteConverter.Models;
using Kooboo.CMS.SiteConverter.Providers;

namespace Kooboo.CMS.SiteConverter.Parser
{
    public class ParserContext : IContextual<ParserContext>
    {
        public ParserContext()
        {
            this.Result = new ParseResult();
            this.Items = new Dictionary<object, object>();
        }

        public IParseResult Result
        {
            get;
            set;
        }

        public IDictionary<object, object> Items
        {
            get;
            private set;
        }

        #region IContextual<ParserContext> Members

        public ParserContext Current
        {
            get { throw new NotImplementedException(); }
        }

        #endregion
    }
}
