﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kooboo.CMS.SiteConverter.Providers
{
    public interface IParseResult
    {
        Kooboo.CMS.Sites.Models.Layout Layout { get; set; }

        Kooboo.CMS.Sites.Models.Page Page { get; set; }

        IList<Kooboo.CMS.Sites.Models.View> Views { get; set; }

        IList<Kooboo.CMS.Sites.Models.HtmlBlock> HtmlBlocks { get; set; }

        //IList<Kooboo.CMS.Content.Models.Schema> Schemas { get; set; }

        IList<string> OrderedScripts { get; set; }

        IList<string> OrderedStyles { get; set; }
    }
}
