﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;
using Kooboo.HtmlFunc.Function;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.HtmlFunc.Analysis.Visitors
{
    public class HtmlTagVisitor : VisitorBase
    {
        public HtmlTagVisitor(VisitorContext context)
            : base(context)
        {
        }

        private bool setted = false;
        public override void VisitNode(HtmlNode node)
        {
            if (setted)
            {
                return;
            }

            if (node.Is("HTML"))
            {
                setted = true;

                var htmlTag = Provider.Factory.GetProvider<IHtmlTag>();
                htmlTag.Node = node;
                this.Context.Result.HtmlTag = htmlTag;
            }
        }
    }
}
