﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;

namespace Kooboo.HtmlFunc.Exceptions
{
    public class CloseMissingException : FuncCommentNodeException
    {
        public CloseMissingException(string fileName, HtmlCommentNode startNode)
            : base(fileName, startNode)
        {
        }

        public override string ExceptionDescription
        {
            get
            {
                return string.Format("Can not find the close token of {0}.", this.ExceptionNode.Comment);
            }
        }
    }
}
