﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kooboo.HtmlFunc.Exceptions
{
    public class ParameterMissingExcepition : BaseException
    {
        public const string MessageFormat = "Can not find the parameter key \"{0}\" in func {1}.";

        public ParameterMissingExcepition(string func, string parameterKey)
            : base(string.Format(MessageFormat, parameterKey, func))
        {
        }
    }
}
