﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kooboo.HtmlFunc
{
    public static class Extensions
    {
        public static bool IgnoreCaseEquals(this string str1, string str2)
        {
            return string.Equals(str1, str2, StringComparison.CurrentCultureIgnoreCase);
        }

        public static bool IgnoreCaseStartsWith(this string str1, string str2)
        {
            if (str1 == null) { return false; }
            return str1.StartsWith(str2, StringComparison.CurrentCultureIgnoreCase);
        }

        public static bool IgnoreCaseEndsWith(this string str1, string str2)
        {
            if (str1 == null) { return false; }
            return str1.EndsWith(str2, StringComparison.CurrentCultureIgnoreCase);
        }
    }
}
