﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kooboo.HtmlFunc.Function
{
    public enum FuncType
    {
        None = 1,

        HtmlPart = 2,

        ViewPart = 4,

        HtmlBlockPart = 8,

        Label = 16,

        Layout = 32,

        Position = 64,

        PageSetting = 128,


        Menu = 256,

        MenuItem = 512,

        MenuLink = 1024,

        MenuLinkText = 2048,

        MenuCurrentClass = 4096,


        List = 8192,

        ListItem = 16384,

        ListItemLink = 32768,

        ListItemData = 65536,

        ListItemEditable = 131072,


        Detail = 262144,

        DetailData = 524288,


        InnerPage = 1048576,

        Custom = 2097152
    }
}
