﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.HtmlFunc.Models
{
    public class DataItem : IDataItem
    {
        #region IDataItem Members

        public string ColumnName
        {
            get;
            set;
        }

        public string ControlType
        {
            get;
            set;
        }

        public bool? ShowInGrid
        {
            get;
            set;
        }

        public int? Order
        {
            get;
            set;
        }

        #endregion

        #region IFuncMarker Members

        public HtmlNode StartNode
        {
            get;
            set;
        }

        public HtmlNode EndNode
        {
            get;
            set;
        }

        #endregion
    }
}
