﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.HtmlFunc.Models
{
    public class Menu : IMenu
    {
        #region IMenu Members

        public HtmlNode LinkStartNode
        {
            get;
            set;
        }

        public HtmlNode LinkEndNode
        {
            get;
            set;
        }

        public HtmlNode LinkTextStartNode
        {
            get;
            set;
        }

        public HtmlNode LinkTextEndNode
        {
            get;
            set;
        }

        public HtmlAttribute CurrentClassAttribute
        {
            get;
            set;
        }

        #endregion

        #region IEnumerable Members

        public HtmlNode ItemStartNode
        {
            get;
            set;
        }

        public HtmlNode ItemEndNode
        {
            get;
            set;
        }

        #endregion

        #region IFuncMarker Members

        public HtmlNode StartNode
        {
            get;
            set;
        }

        public HtmlNode EndNode
        {
            get;
            set;
        }

        #endregion
    }
}
