﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;
using Kooboo.HtmlFunc.Providers;

namespace Kooboo.HtmlFunc.Models
{
    public class ViewPart : IViewPart
    {
        #region IViewPart Members

        public string ViewName
        {
            get;
            set;
        }

        #endregion

        #region IPart Members

        public int? Order
        {
            get;
            set;
        }

        public IPosition OwnerPosition
        {
            get;
            set;
        }

        #endregion

        #region IFuncMarker Members

        public HtmlNode StartNode
        {
            get;
            set;
        }

        public HtmlNode EndNode
        {
            get;
            set;
        }

        #endregion
    }
}
