﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kooboo.HtmlFunc.Providers
{
    public interface IAnalyseResult
    {
        ILayout Layout { get; set; }

        IPageSetting PageSetting { get; set; }

        IList<IPosition> Positions { get; set; }

        IList<IHtmlPart> HtmlParts { get; set; }

        IList<IViewPart> ViewParts { get; set; }

        IList<IHtmlBlockPart> HtmlBlocks { get; set; }

        IList<ILabel> Labels { get; set; }

        IList<IMenu> Menus { get; set; }

        IList<IList> Lists { get; set; }

        IList<IDetail> Details { get; set; }

        IList<ICustom> Customs { get; set; }

        IHtmlTag HtmlTag { get; set; }

        IHeadTag HeadTag { get; set; }

        ITitleTag TitleTag { get; set; }

        IBodyTag BodyTag { get; set; }

        IList<IMetaTag> Metas { get; set; }

        IList<IImgTag> ImgTags { get; set; }

        IList<IStyleTag> StyleTags { get; set; }

        IList<IScriptTag> ScriptTags { get; set; }

        IList<IAnchorTag> AnchorTags { get; set; }
    }
}
