﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;

namespace Kooboo.HtmlFunc.Providers
{
    public interface IList : IViewPart, IEnumerable
    {
        string FolderName { get; set; }

        int? PageSize { get; set; }

        int? TakeTop { get; set; }

        string OrderBy { get; set; }

        string OrderByDescending { get; set; }

        HtmlAttribute EditableAttribute { get; set; }

        IList<ILinkItem> LinkItems { get; set; }

        IList<IDataItem> DataItems { get; set; }
    }
}
